#pragma once

#include <string>
#include <vector>
#include <fstream>

typedef struct _RESULT {
	bool sessionPass;
	std::wstring errorMessage;
	int msgNumber;
} RESULT;

class TestResults
{
private:
	std::vector<std::pair<std::wstring, RESULT>> results;	
	_TCHAR * replayFile;
public:
	TestResults(_TCHAR * replayFile);
	~TestResults(void);

	void addResult(std::wstring sessionId, RESULT result);
	void write(_TCHAR * resultFile);
};
